| OpenGL-2.2.3.0: A binding for the OpenGL graphics system | Contents | Index

Graphics.Rendering.OpenGL.GL.Texturing.Objects

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.8.12 (Texture Objects) of the OpenGL 2.1 specs.
Documentation
newtype TextureObject

Constructors

TextureObject GLuint |

Instances

Eq TextureObject |
Ord TextureObject |
Show TextureObject |
ObjectName TextureObject |

textureBinding :: TextureTarget -> StateVar (Maybe TextureObject)
textureResident :: TextureTarget -> GettableStateVar Bool
areTexturesResident :: [TextureObject] -> IO ([TextureObject], [TextureObject])
type TexturePriority = GLclampf
texturePriority :: TextureTarget -> StateVar TexturePriority
prioritizeTextures :: [(TextureObject, TexturePriority)] -> IO ()
Produced by Haddock version 2.7.2